Skip to main content

Accept Apple Place Card Override

API Description

Accept an Apple Maps override appearing on a place card.

Request

URI Parameters

NameInput
orgId
REQUIRED
resourceTypes
REQUIRED
resourceId
REQUIRED
overrideId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/{resourceTypes}/{resourceId}/apple-overrides/{overrideId}/accept
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654921/apple-overrides/9467895078742654533/accept

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

None

Response Headers

Name
apple-request-id
content-type
location
Example Response Headers
HTTP/1.1 200 OK
content-type: application/json
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654921/apple-overrides/9467895078742654533
apple-request-id: bb78ec43-d648-4c4f-9f8b-1f9fa3ea70f6

Response Body

NameOutput
$.orgId
REQUIRED
${resourceId}
REQUIRED
$.overrideId
REQUIRED
$.createdDate
REQUIRED
$.overrideDetails
REQUIRED
overrideStatus
REQUIRED
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654921",
"overrideId": "9467895078742654533",
"createdDate": "2026-10-21T11:01:22.00Z",
"overrideDetails": {
"code": "APPLE_OVERRIDE__LOCATION_STATUS",
"message": "Place card will display different location status",
"fields": [
{
"field": "$.locationDetails.locationStatus",
"value": {
"locationStatus": [
{
"status": "OPEN"
}
]
}
}
]
},
"overrideStatus": "SUBMITTED"
}